<?php
/**
 * Ce fichier contient les fonctions de service de Mashup Factory personnalisées par le plugin Nomenclatures.
 */
if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

// -----------------------------------------------------------------------
// ------------------------- FEEDS (services) ----------------------------
// -----------------------------------------------------------------------

/**
 * Renvoie la liste des catégories et leur description.
 *
 * Le plugin Mashup Factory fournit une liste limitée par défaut.
 *
 * @package SPIP\MASHUP\FEED\SERVICE
 *
 * @pipeline_appel feed_lister_categories
 *
 * @param string $plugin Préfixe du plugin utilisateur.
 *
 * @return array Liste des catégories et de leur description au format [id] = tableau de description avec le nom (label),
 *               la description et l'icone.
 */
function isocode_feed_lister_categories(string $plugin) : array {
	// Initialisation des catégories par défaut
	$categories = [
		'territory' => [
			'name'        => '<:isocode:label_feed_category_territory:>',
			'description' => '<:isocode:description_feed_category_territory:>',
			'icon'        => 'territory-24.svg'
		],
		'map' => [
			'name'        => '<:isocode:label_feed_category_map:>',
			'description' => '<:isocode:description_feed_category_map:>',
			'icon'        => 'map-24.svg'
		],
		'language' => [
			'name'        => '<:isocode:label_feed_category_language:>',
			'description' => '<:isocode:description_feed_category_language:>',
			'icon'        => 'langage-24.svg'
		],
		'default' => [
			'name'        => '<:isocode:label_feed_category_default:>',
			'description' => '<:isocode:description_feed_category_default:>',
			'icon'        => 'defaut-24.svg'
		]
	];

	return $categories;
}
